- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libetonyek::IWAText Class Reference

`#include <IWAText.h>`

## Public Member Functions
| IWAText (const std::string text, IWORKLanguageManager &langManager)
void | setParagraphs (const std::map< unsigned, IWORKStylePtr_t > &paras)
void | setSpans (const std::map< unsigned, IWORKStylePtr_t > &spans)
void | setLanguages (const std::map< unsigned, std::string > &langs)
void | setLinks (const std::map< unsigned, std::string > &links)
void | setListLevels (const std::map< unsigned, unsigned > &levels)
void | setLists (const std::map< unsigned, IWORKStylePtr_t > &lists)
void | parse (IWORKText &collector)

## Private Attributes
const librevenge::RVNGString | m_text
IWORKLanguageManager & | m_langManager
std::map< unsigned, IWORKStylePtr_t > | m_paras
std::map< unsigned, IWORKStylePtr_t > | m_spans
std::map< unsigned, std::string > | m_langs
std::map< unsigned, std::string > | m_links
std::map< unsigned, IWORKStylePtr_t > | m_lists
std::map< unsigned, unsigned > | m_listLevels

## Constructor & Destructor Documentation

libetonyek::IWAText::IWAText | ( | const std::string | text,
|  | IWORKLanguageManager & | langManager
| ) |  |

## Member Function Documentation

void libetonyek::IWAText::parse | ( | IWORKText & | collector | ) |

Referenced by libetonyek::IWAParser::parseComment(), and libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setLanguages | ( | const std::map< unsigned, std::string > & | langs | ) |

Referenced by libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setLinks | ( | const std::map< unsigned, std::string > & | links | ) |

Referenced by libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setListLevels | ( | const std::map< unsigned, unsigned > & | levels | ) |

Referenced by libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setLists | ( | const std::map< unsigned, IWORKStylePtr_t > & | lists | ) |

Referenced by libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setParagraphs | ( | const std::map< unsigned, IWORKStylePtr_t > & | paras | ) |

Referenced by libetonyek::IWAParser::parseText().

void libetonyek::IWAText::setSpans | ( | const std::map< unsigned, IWORKStylePtr_t > & | spans | ) |

Referenced by libetonyek::IWAParser::parseText().

## Member Data Documentation

IWORKLanguageManager& libetonyek::IWAText::m_langManager
| private

Referenced by parse().

std::map<unsigned, std::string> libetonyek::IWAText::m_langs
| private

Referenced by parse(), and setLanguages().

std::map<unsigned, std::string> libetonyek::IWAText::m_links
| private

Referenced by parse(), and setLinks().

std::map<unsigned, unsigned> libetonyek::IWAText::m_listLevels
| private

Referenced by parse(), and setListLevels().

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_lists
| private

Referenced by parse(), and setLists().

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_paras
| private

Referenced by parse(), and setParagraphs().

std::map<unsigned, IWORKStylePtr_t> libetonyek::IWAText::m_spans
| private

Referenced by parse(), and setSpans().

const librevenge::RVNGString libetonyek::IWAText::m_text
| private

Referenced by parse().

The documentation for this class was generated from the following files:

- IWAText.h
- IWAText.cpp